Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations
Class SimpleValueBinder

    java.lang.Object
      org.hibernate.cfg.annotations.SimpleValueBinder

    public class SimpleValueBinder

extends Object

Author:
  Emmanuel Bernard

Constructor Summary
`SimpleValueBinder()`

Method Summary
`org.hibernate.mapping.SimpleValue` | `fillSimpleValue(org.hibernate.mapping.SimpleValue simpleValue)`
`org.hibernate.mapping.SimpleValue` | `make()`
`void` | `setColumns(Ejb3Column[] columns)`
`void` | `setExplicitType(String explicitType)`
`void` | `setExplicitType(Type typeAnn)`
`void` | `setMappings(ExtendedMappings mappings)`
`void` | `setPersistentClassName(String persistentClassName)`
`void` | `setPropertyName(String propertyName)`
`void` | `setReturnedClassName(String returnedClassName)`
`void` | `setTable(org.hibernate.mapping.Table table)`
`void` | `setType(org.hibernate.annotations.common.reflection.XProperty property, org.hibernate.annotations.common.reflection.XClass returnedClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleValueBinder

    public SimpleValueBinder()

Method Detail

### setPropertyName

    public void setPropertyName(String propertyName)

### setReturnedClassName

    public void setReturnedClassName(String returnedClassName)

### setTable

    public void setTable(org.hibernate.mapping.Table table)

### setColumns

    public void setColumns(Ejb3Column[] columns)

### setPersistentClassName

    public void setPersistentClassName(String persistentClassName)

### setType

    public void setType(org.hibernate.annotations.common.reflection.XProperty property,
                        org.hibernate.annotations.common.reflection.XClass returnedClass)

### setExplicitType

    public void setExplicitType(String explicitType)

### setExplicitType

    public void setExplicitType(Type typeAnn)

### setMappings

    public void setMappings(ExtendedMappings mappings)

### make

    public org.hibernate.mapping.SimpleValue make()

### fillSimpleValue

    public org.hibernate.mapping.SimpleValue fillSimpleValue(org.hibernate.mapping.SimpleValue simpleValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD